1. stabbedintheface's Avatar
    I've Googled all over and can't seem to get a straight answer from XDA or Reddit...either the posts are so old or they have so many off topic posts that it's impossible to follow.

    Anyway - Has anyone running the Galaxy S7 International (G930F) managed to get Samsung pay working? Some say it's a matter of just side loading the APKs, some say you have to change firmware, other say it's simply not possible.

    Hoping there is someone here that can either provide a straightforward method or just affirm that it is not possible
    09-30-2016 08:57 AM
  2. yubeie's Avatar
    I've Googled all over and can't seem to get a straight answer from XDA or Reddit...either the posts are so old or they have so many off topic posts that it's impossible to follow.

    Anyway - Has anyone running the Galaxy S7 International (G930F) managed to get Samsung pay working? Some say it's a matter of just side loading the APKs, some say you have to change firmware, other say it's simply not possible.

    Hoping there is someone here that can either provide a straightforward method or just affirm that it is not possible
    I have an international s7. You have to do the following:

    -using Odin, flash a firmware pertaining to a region that supports Samsung pay. You can check the csc codes (amo, dbt, xsg support spay).
    -Then install Samsung pay framework app
    -Then install Samsung pay app

    You should be set!
    10-01-2016 04:07 PM
  3. yubeie's Avatar
    Also, AMO csc does seem to limit the spay app to only Spanish offers.. just a heads up
    10-01-2016 04:08 PM
  4. stabbedintheface's Avatar
    Thanks. I have XSG CSC and loaded the framework and the pay app. All it does is sit there and when I hit "start" it does nothing.

    Oddly enough...it shows US offers
    10-10-2016 12:23 PM
  5. yubeie's Avatar
    Thanks. I have XSG CSC and loaded the framework and the pay app. All it does is sit there and when I hit "start" it does nothing.

    Oddly enough...it shows US offers
    I flashed xsg firmware on mine and has been working flawlessly.
    what is your version of app and framework?
    The last known version known to work with xsg is app Version 2.2.02 and framework 2.4.02.
    Stick to that...simply uninstalling framework may not work. perform a factory reset and then install the above mentioned versions.
    10-10-2016 08:29 PM
  6. stabbedintheface's Avatar
    Thanks. I think my issue is that right out of the gate I tried installing the latest version of the framework. Which doesn't work

    Apparently you have to re flash with Odin to get rid of that. I'm not sure I want to so that right now so I'll just wait.

    Funny that they make it so hard. Seem alike just detecting my location would be a better solution
    10-13-2016 12:07 AM

Similar Threads

  1. Need help with S7 "Android System" and top menu overlap
    By AC Question in forum Ask a Question
    Replies: 4
    Last Post: 10-03-2016, 08:50 PM
  2. Excercising with note 7 - flip belt
    By jj2339 in forum Samsung Galaxy Note 7
    Replies: 12
    Last Post: 10-01-2016, 09:44 PM
  3. S Charger Pad Compatible with S7?
    By yobil in forum Samsung Galaxy S7
    Replies: 1
    Last Post: 09-30-2016, 02:14 PM
  4. I think my Samsung Galaxy Note 4 has a virus
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 09-30-2016, 08:22 AM
  5. I think my Samsung Galaxy Note 4 has a virus
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 09-30-2016, 07:32 AM
LINK TO POST COPIED TO CLIPBOARD